#
# spec file for package python-scripttest
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define oldpython python
Name:           python-scripttest
Version:        1.3
Release:        3.3.4
Summary:        Helper to test command-line scripts
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/pypa/scripttest
Source:         https://files.pythonhosted.org/packages/source/s/scripttest/scripttest-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%ifpython2
Provides:       %{oldpython}-ScriptTest = %{version}
Obsoletes:      %{oldpython}-ScriptTest < %{version}
%endif
%python_subpackages

%description
scripttest is a library to help you test your interactive command-line
applications.

With it you can easily run the command (in a subprocess) and see the
output (stdout, stderr) and any file modifications.

%prep
%setup -q -n scripttest-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%doc README.rst
%{python_sitelib}/*

%changelog
* Wed Nov 18 2020 adrian.glaubitz@suse.com
- Include in SLE-15 (bsc#1175297, jsc#ECO-3035, jsc#PM-2318)
* Tue Aug 27 2019 mcepl@suse.com
- Clean up SPEC file, update URL
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Thu Mar  6 2014 speilicke@suse.com
- Add provides/obsoletes for python-ScriptTest, this one is newer
* Tue Jan  7 2014 speilicke@suse.com
- Initial version
